Hyperic HQ Plugin API v. 2.5.dev

## net.hyperic.hq.product
Class LogFileTrackPlugin

    java.lang.Object
      net.hyperic.hq.product.GenericPlugin
          net.hyperic.hq.product.LogTrackPlugin
              net.hyperic.hq.product.LogFileTrackPlugin

Direct Known Subclasses:
  LogFileTailPlugin

public abstract class LogFileTrackPlugin
extends LogTrackPlugin

Field Summary
`static java.lang.String` `PROP_FILES_PLATFORM`
`static java.lang.String` `PROP_FILES_SERVER`
`static java.lang.String` `PROP_FILES_SERVICE`

Fields inherited from class net.hyperic.hq.product.LogTrackPlugin
`LOGLEVEL_DEBUG, LOGLEVEL_DEBUG_LABEL, LOGLEVEL_ERROR, LOGLEVEL_ERROR_LABEL, LOGLEVEL_INFO, LOGLEVEL_INFO_LABEL, LOGLEVEL_WARN, LOGLEVEL_WARN_LABEL`

Fields inherited from class net.hyperic.hq.product.GenericPlugin
`config, FILE_DELIM, FILE_DELIM_ESC, PROP_NAME`

Constructor Summary
`LogFileTrackPlugin()`

Method Summary
`ConfigSchema` `getConfigSchema(TypeInfo info, ConfigResponse config)` The ConfigSchema used to render config options for this resource in the UI and client shell.
`protected java.lang.String` `getDefaultLogFile(TypeInfo info, ConfigResponse config)`
`java.lang.String[]` `getFiles(ConfigResponse config)`
`protected ConfigOption` `getFilesOption(TypeInfo info, ConfigResponse config)`

Methods inherited from class net.hyperic.hq.product.LogTrackPlugin
`configure, getEnableOption, getLogLevel, getLogLevel, getLogLevelAliases, getLogLevelLabel, getLogLevelMap, getLogLevels, getManager, getPatternOption, init, isEnabled, messageMatches, newTrackEvent, newTrackEvent, reportEvent, setEnabled, setLogLevel, shouldDebugLog, shouldLog, stripNewLines, supportsLogLevels, supportsPatternMatching`

Methods inherited from class net.hyperic.hq.product.GenericPlugin

`getAbsoluteFiles, getConfig, getConfig, getCustomPropertiesSchema, getCustomPropertiesSchema, getCustomPropertiesSchema, getDefaultInstallPath, getLog, getLogName, getName, getPlatformName, getPluginClassName, getProductPlugin, getProperties, getProperty, getTypeInfo, getTypeNameProperty, getTypeNameProperty, getTypeProperty, getTypeProperty, getTypeProperty, isWin32, openResource, setName, setTypeInfo, shutdown, toFileList`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROP_FILES_PLATFORM

    public static final java.lang.String PROP_FILES_PLATFORM

### PROP_FILES_SERVER

    public static final java.lang.String PROP_FILES_SERVER

### PROP_FILES_SERVICE

    public static final java.lang.String PROP_FILES_SERVICE

Constructor Detail

### LogFileTrackPlugin

    public LogFileTrackPlugin()

Method Detail

### getDefaultLogFile

    protected java.lang.String getDefaultLogFile(TypeInfo info,
                                                 ConfigResponse config)

### getFilesOption

    protected ConfigOption getFilesOption(TypeInfo info,
                                          ConfigResponse config)

### getConfigSchema

    public ConfigSchema getConfigSchema(TypeInfo info,
                                        ConfigResponse config)

  Description copied from class: `GenericPlugin`
  The ConfigSchema used to render config options for this resource in the UI and client shell.

  Overrides:
    `getConfigSchema` in class `LogTrackPlugin`

### getFiles

    public java.lang.String[] getFiles(ConfigResponse config)

Hyperic HQ Plugin API v. 2.5.dev

Copyright © 2004-2005 Hyperic LLC support@hyperic.net, All Rights Reserved.